*Inheritance: EventDispatcher → Node →*

# EventNode

EventNode is a node that executes a callback during specific update phases.

## Constructor

### new EventNode( eventType : string, callback : function )

Creates an EventNode.

**eventType**

The type of event

**callback**

The callback to execute on update.

## Source

[src/nodes/utils/EventNode.js](https://github.com/mrdoob/three.js/blob/master/src/nodes/utils/EventNode.js)